/***************************************************************************
                          ktransactionfinddlg.h  -  description
                             -------------------
    begin                : Thu Apr 3 2003
    copyright            : (C) 2003 by Richard Garand
    email                : richard@garandnet.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KTRANSACTIONFINDDLG_H
#define KTRANSACTIONFINDDLG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <qvaluelist.h>

class KBudgetDoc;
class KComboBox;
class KMainWindow;
class KTransactionList;
class KLineEdit;
class Account;

/**A transaction saerch dialog
  *@author Richard Garand
  */

class KTransactionFindDlg : public KDialogBase  {
   Q_OBJECT
  public: 
    KTransactionFindDlg(KMainWindow* parent, KBudgetDoc* document);
    ~KTransactionFindDlg();

  public slots:
    void slotFind();

  private:
    KBudgetDoc* m_doc;
  
    KComboBox* from;
    KComboBox* to;
    KLineEdit* desc;
    KTransactionList* txnList;
    QPtrList<Account> accounts;
};

#endif
